require 'yaml'
class MiniI18n
  attr_reader :locale
  def initialize
    @index = {}
    @locale = 'en'
  end

  def locale=(locale)
    @locale = locale.to_s
  end

  def load_yml(path)
    @index = YAML.load_file(path)
  end

  def translate(key)
    keys = [locale] + key.split('.')
    translation = keys.reduce(@index) {|hash, key| hash.fetch(key.to_s)}
    translation.to_s
  end
end